Solved

UpgradeInfo not working on Android with Flutter

  • 18 November 2021
  • 4 replies
  • 443 views

Badge +1

I’m testing in Android emulator with Play Store access using a testing account so no actual money is being charged. I am able to purchase products and packages, but not able to test changing packages using the UpgradeInfo docs. What could the issue be with Play Store or is there some other configuration I need to make somewhere?

 

When I select the package to change to I see the following, which all looks correct in my logs. The SKU is found and the Flutter purchases_flutter package is clearly showing everything good to go at this point.

 

D/[Purchases] - DEBUG(25398): ℹ️ Vending Offerings from cache
D/[Purchases] - DEBUG(25398): 💰 Product change started:  com.revenuecat.purchases.models.ProductDetails@1e0bf2c4  - offering: packages UpgradeInfo: UpgradeInfo(oldSku=package_3.99_monthly, prorationMode=1)
D/[Purchases] - DEBUG(25398): ℹ️ Querying Purchase with package_3.99_monthly and type SUBS
D/[Purchases] - DEBUG(25398): ℹ️ Checking if cache is stale AppInBackground false
D/[Purchases] - DEBUG(25398): 💰 Found existing purchase for SKU: package_3.99_monthly
D/[Purchases] - DEBUG(25398): 💰 Moving from old SKU package_3.99_monthly to sku package_39.95_yearly

However, I then see this on the screen:

 

And then in the logs after clicking OK:

W/ProxyBillingActivity(25398): Activity finished with resultCode 0 and billing's responseCode: 2
W/BillingHelper(25398): Couldn't find purchase lists, trying to find single data.
W/BillingHelper(25398): Received a bad purchase data.
W/BillingHelper(25398): Couldn't find single purchase data as well.
W/BillingHelper(25398): Couldn't find purchase lists, trying to find single data.
W/BillingHelper(25398): Received a bad purchase data.
W/BillingHelper(25398): Couldn't find single purchase data as well.
E/[Purchases] - ERROR(25398): 🤖‼️ BillingWrapper purchases failed to update: DebugMessage: . ErrorCode: SERVICE_UNAVAILABLE.null
E/[Purchases] - ERROR(25398): 🤖‼️ There was a problem with the Play Store.
I/flutter (25398): PlatformException(2, There was a problem with the Play Store., {code: 2, message: There was a problem with the Play Store., readableErrorCode: StoreProblemError, readable_error_code: StoreProblemError, underlyingErrorMessage: Error updating purchases. DebugMessage: . ErrorCode: SERVICE_UNAVAILABLE., userCancelled: false}, null)

 

This is my Flutter code:

await Purchases.purchasePackage(
myProductList[index],
upgradeInfo: UpgradeInfo(
subscriptionTypeString ==
monthlySubscriptionString
? yearlySubscriptionSKU
: monthlySubscriptionSKU,
prorationMode: ProrationMode
.immediateWithTimeProration,
),
);

 

icon

Best answer by cody 19 November 2021, 17:52

View original

4 replies

Badge +1

Is there a faster way or better way to get support at RevenueCat? I cannot find anything on how to resolve this error so far. Would love to hear from someone at RevenueCat that can point me in the right direction. Thanks.

Badge +1

I’m new to RevenueCat, if there is no way to contact anyone but in this forum for support how can I responsibly add RevenueCat to my tech stack that I rely on?

Badge +1

All of a sudden this functionality is now working.

Userlevel 6
Badge +8

Hey @Nathan Zabaldo! 👋

Glad to hear this is working as expected now - typically, ‘store problem’ issues on Android can be because of Google downtime or an invalid configuration in the RevenueCat dashboard. I’d recommend taking a look at our docs for more information: https://docs.revenuecat.com/docs/errors#--store_problem

Generally, the community here is the best place to search for and post questions like this, where we in the support team will typically respond within a day or so. I’d recommend also searching our documentation, as we try to provide context for most errors you’ll see in your debug logs. Also, if you need to reach out to the support team directly, you can visit the Contact Us tab in your profile settings.

Reply